Bug 73215 - FILESAVE: DOCX Export of Alternate Content
Summary: FILESAVE: DOCX Export of Alternate Content
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-02 09:25 UTC by Vinaya Mandke
Modified: 2014-11-04 16:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Original File (17.43 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-02 09:25 UTC, Vinaya Mandke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vinaya Mandke 2014-01-02 09:25:37 UTC
Created attachment 91407 [details]
Original File

Steps to Reproduce:

1. Open attachment in LO
2. Save to DOCX
3. Open in MS Office 2007
4. Open in MS Office 2010

The file opens properly in MS Office 2007 whereas is shown as corrupted in MS Office 2010
Comment 1 Jorendc 2014-01-02 12:59:20 UTC
I can confirm this, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: 8102d45911bf3c47ce7ee15d3db89b0024c3bff8
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-29_09:34:00
and MS Word 2010.

I don't have 2007, but it's already a bug if the file is marked as corrupt in 2010 :-).

Error message: No error details available
Location: Part: /word/document.xml, Line: 2, Column: 0

Kind regards,
Joren
Comment 2 Commit Notification 2014-01-02 15:20:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=096ea63090b137ac52cb75bf4b53dcef31962d44

fdo#73215 filter: don't try to handle pictureFrame in GetOOXMLPresetGeometry()



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Miklos Vajna 2014-01-02 18:01:03 UTC
The other problem is that bentConnector3's adjustment name is adj1, not adj.. I'll take care of that.
Comment 4 Commit Notification 2014-01-02 18:04:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33227dbf270bec5b7aa079b9b5e2e7e036796e20

fdo#73215 oox: don't assume single adjustment is adj during export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2014-01-02 18:07:38 UTC
With the above, the saved DOCX shows no more validation errors, so marking as resolved.